OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OMDecimateMesh Class Reference

`#include <DecimateMesh.h>`

Inheritance diagram for OMDecimateMesh:

## Public Member Functions
| MDS_SHAREDPTR (OMDecimateMesh)
| OMDecimateMesh (const std::string &sDescription)
virtual | ~OMDecimateMesh ()

## Protected Member Functions
virtual bool | startup ()
virtual bool | main ()
virtual void | shutdown ()
virtual void | writeExtendedUsage (std::ostream &Stream)

## Protected Attributes
std::string | m_collapse_metrics
double | m_minimum_roundness
double | m_max_error
double | m_max_norm_dev
int | m_max_collapses
int | m_max_vertices
bool | m_independent_sets

## Detailed Description

Module reads a mesh, decimates it and writes it into output mesh Uses methods implemented in OpenMesh, possible collapse metrics are:

- Maximum roudness of triangle
- Quadric error Possible to switch on vertex locking (independent sets) or checking normal deviation

## Constructor & Destructor Documentation

OMDecimateMesh::OMDecimateMesh | ( | const std::string & | sDescription | ) |

Constructor

Parameters

  sDescription | Description of the module

OMDecimateMesh::~OMDecimateMesh | ( |  | ) |
| virtual

Virtual destructor

## Member Function Documentation

bool OMDecimateMesh::main | ( |  | ) |
| protected virtual

Virtual method called by the processing thread

Returns
  True if main loop continues

OMDecimateMesh::MDS_SHAREDPTR | ( | OMDecimateMesh |  | ) |

Smart pointer type

void OMDecimateMesh::shutdown | ( |  | ) |
| protected virtual

Called on console shutdown

bool OMDecimateMesh::startup | ( |  | ) |
| protected virtual

Virtual method called on startup

Returns
  True if startup was successful

void OMDecimateMesh::writeExtendedUsage | ( | std::ostream & | Stream | ) |
| protected virtual

Called on writing a usage statement

Parameters

  Stream | Output stream

## Member Data Documentation

std::string OMDecimateMesh::m_collapse_metrics
| protected

Used collapse metrics

bool OMDecimateMesh::m_independent_sets
| protected

Use collapsed vertex locking

int OMDecimateMesh::m_max_collapses
| protected

Number of collapses

double OMDecimateMesh::m_max_error
| protected

Maximum error (error quadric)

double OMDecimateMesh::m_max_norm_dev
| protected

Maximum normal deviation (normal deviation)

int OMDecimateMesh::m_max_vertices
| protected

Number of vertices

double OMDecimateMesh::m_minimum_roundness
| protected

Minimum roudness (roudness collapse)

The documentation for this class was generated from the following files:

- trunk/src/modules/DecimateMesh/DecimateMesh.h
- trunk/src/modules/DecimateMesh/DecimateMesh.cpp